import { clsx, type ClassValue } from "clsx";
import { twMerge } from "tailwind-merge";

export function cn(...inputs: ClassValue[]) {
  return twMerge(clsx(inputs));
}

export function safeJSONStringify(value: any): string {
  return JSON.stringify(value, (_, v) =>
    typeof v === "bigint" ? Number(v) : v
  );
}